#!/bin/sh
# Bryant Hansen

# get the MAC address of eth0 by calling/parsing ifconfig output
# initial 1-liner:
#    /sbin/ifconfig eth0 | grep -v "^eth0.*" | head -n 1 | sed "s/^[^:]*://;s/\ .*$//"

# current dSS method for obtaining mac address:
# MAC=`ifconfig eth0 | grep 'HWaddr' | awk '{ print $5}'`

ME="$(basename "$0")"
USAGE="$ME [ interface ]"

[[ "$1" ]] && IF="$1" || IF=eth0

/sbin/ifconfig $IF | \
    grep -v "^${IF}.*" | \
    head -n 1 | \
    sed "s/^[^:]*://;s/\ .*$//"
